import request from '@/utils/httpRequest'

export default class HelpService {
  list (params) {
    return request({
      url: '/help/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/help/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  save (inputForm) {
    return request({
      url: `/help/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/help/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
  updateStatus (id) {
    return request({
      url: `/help/updateStatus`,
      method: 'post',
      data: {id: id}
    })
  }
}
